<?php
class ReplyModel extends Model {
	 // 自动验证设置 
	protected $_validate = array( 
		array('arname', 'require', '姓名必须填写！'),
		array('arname', 'checklen', '姓名长度过长或过短！请重新填写！', 0,'callback'),
		array('aremail', 'email', '邮箱格式错误！'),
		array('arphone', 'number', '联系电话错误！', 2),
		array('arqq', 'number', '联系QQ错误！', 2),
		array('arcontent', 'require', '留言内容必须填写！'),
		array('arcontent', 'checkcontent', '留言内容过少！请重新填写！最少5个字!', 0,'callback'),
	);
	//验证长度是否超过15个字符,检测用户名时使用.
	function checklen($data){
		if(strlen($data)>15 || strlen($data)<2) return false;
		else return true;
	}
	//验证留言内容长度
	function checkcontent($data){
		if(strlen($data)<5) return false;
		else return true;
	}
}
?>